Bug 501220 - RFE: edit last preedit character from end of line
RFE: edit last preedit character from end of line
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ibus-chewing (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Ding-Yi Chen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-18 00:56 EDT by Jens Petersen
Modified: 2009-08-10 17:49 EDT (History)
4 users (show)

See Also:
Fixed In Version: 0.3.2-15.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-10 17:42:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2009-05-18 00:56:18 EDT
Description of problem:
With scim-chewing it is possible to edit the last character in a compound work in preedit from the end of the line, with ibus-chewing currently one has to move the cursor to in front of the character one wants to change.

Steps to Reproduce:
1. input sequence of characters
2. press Down at end of preedit
  
Actual results:
2. edits whole word not just last character

Expected results:
2. just wanted to change last character without having to move the cursor back
Comment 1 Ding-Yi Chen 2009-05-19 00:09:00 EDT
This is a bug that must be fixed by upstream, will submit the patch to upstream.

Regards,
Comment 2 Fedora Update System 2009-05-20 20:01:51 EDT
libchewing-0.3.2-9.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update libchewing'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-5274
Comment 3 Fedora Update System 2009-06-26 03:15:43 EDT
libchewing-0.3.2-11.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/libchewing-0.3.2-11.fc10
Comment 4 Fedora Update System 2009-06-26 03:15:59 EDT
libchewing-0.3.2-11.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libchewing-0.3.2-11.fc11
Comment 5 Fedora Update System 2009-06-26 03:16:14 EDT
libchewing-0.3.2-11.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/libchewing-0.3.2-11.fc9
Comment 6 Fedora Update System 2009-06-29 23:05:27 EDT
libchewing-0.3.2-12.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libchewing-0.3.2-12.fc11
Comment 7 Fedora Update System 2009-06-29 23:21:25 EDT
libchewing-0.3.2-12.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/libchewing-0.3.2-12.fc10
Comment 8 Fedora Update System 2009-07-02 01:52:56 EDT
libchewing-0.3.2-12.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libchewing'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-7271
Comment 9 Fedora Update System 2009-07-02 01:54:19 EDT
libchewing-0.3.2-12.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libchewing'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7281
Comment 10 Fedora Update System 2009-07-31 04:09:37 EDT
libchewing-0.3.2-14.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libchewing-0.3.2-14.fc11
Comment 11 Fedora Update System 2009-07-31 04:10:14 EDT
libchewing-0.3.2-14.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/libchewing-0.3.2-14.fc10
Comment 12 Fedora Update System 2009-08-01 19:56:20 EDT
libchewing-0.3.2-14.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libchewing'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-8195
Comment 13 Fedora Update System 2009-08-01 20:00:29 EDT
libchewing-0.3.2-14.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libchewing'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8215
Comment 14 Fedora Update System 2009-08-03 01:45:01 EDT
libchewing-0.3.2-15.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libchewing-0.3.2-15.fc11
Comment 15 Fedora Update System 2009-08-03 01:45:15 EDT
libchewing-0.3.2-15.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/libchewing-0.3.2-15.fc10
Comment 16 Fedora Update System 2009-08-03 15:21:29 EDT
libchewing-0.3.2-15.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libchewing'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-8224
Comment 17 Fedora Update System 2009-08-03 15:23:18 EDT
libchewing-0.3.2-15.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libchewing'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8242
Comment 18 Fedora Update System 2009-08-10 17:42:19 EDT
libchewing-0.3.2-15.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2009-08-10 17:49:38 EDT
libchewing-0.3.2-15.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.